Depth
curl --request GET \
--url https://whitebit.com/api/v4/public/orderbook/depth/{market}import requests
url = "https://whitebit.com/api/v4/public/orderbook/depth/{market}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://whitebit.com/api/v4/public/orderbook/depth/{market}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ticker_id": "BTC_PERP",
"timestamp": 1594391413,
"asks": [
[
"9184.41",
"0.773162"
]
],
"bids": [
[
"9181.19",
"0.010873"
]
]
}{
"success": false,
"message": "ERROR MESSAGE",
"params": []
}Retrieve the order book depth for a given trading pair with aggregated price levels via the V4 API.
GET
/
api
/
v4
/
public
/
orderbook
/
depth
/
{market}
Depth
Public depth endpoints exclude Retail Price Improvement (RPI) orders. RPI orders appear only in private active orders (private API/WebSocket) and in the exchange UI order book (web and mobile).
Path Parameters
Market pair name
Example:
"BTC_USDT"
Response
Successful response
Market Name
Example:
"BTC_PERP"
Current timestamp
Example:
1594391413
Array of ask orders
[price, quantity] — price in quote currency, quantity in base currency
Required array length:
2 elementsExample:
["9184.41", "0.773162"]
Array of bid orders
[price, quantity] — price in quote currency, quantity in base currency
Required array length:
2 elementsExample:
["9181.19", "0.010873"]
Was this page helpful?